Bug 150152 - nfsv4 callback authentication patch
nfsv4 callback authentication patch
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Steve Dickson
Brian Brock
:
Depends On:
Blocks: 156322
  Show dependency treegraph
 
Reported: 2005-03-02 18:20 EST by Kiersten (Kerri) Anderson
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version: RHSA-2005-514
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-05 08:48:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Kiersten (Kerri) Anderson 2005-03-02 18:20:36 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5) Gecko/20041215 Firefox/1.0 Red Hat/1.0-12.EL4

Description of problem:
This (backported) upstream patch enables our NFSv4 client
to support server callbacks which in turns allow servers (that support
the functionality) to give out file delegations.... which is huge when
it comes to performance....


Again, file delegations is a new v4 feature that allows clients to
aggressively cache data and state. Meaning when the server
hands out a delegation, its telling the client that it can cache
*everything* (i.e. no over-the-wire messages, including getattrs)
until there is a conflict. As soon as there is a  conflict, the sever
has to make a callback to client (hence the need for this patch)
to revoke the delegation.


With this patch, our v4 client as received file delegations from
IBM (AIX), Netapps, EMC and SUN servers. Note: IBM only
has read-only  delegations.  Also note, the Linux mainstream 2.6.11
server does support read-only delegations,  but the RHEL4 server
does not (and will not) have this support.


This patch will complete the supported feature set of NFS  in RHEL4.
Which means we will support  client and server kerberos authentication
for all version of NFS a long with NFS v4 with client-side file delegation.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Perform connectathon with file delegation 
2.
3.
  

Additional info:
Comment 4 Red Hat Bugzilla 2005-10-05 08:48:37 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-514.html

Note You need to log in before you can comment on or make changes to this bug.